Bug 70004 - Unable to compile wmweather+ because of xpm
Summary: Unable to compile wmweather+ because of xpm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-04 17:20 UTC by David JULIEN
Modified: 2004-08-21 07:54 UTC (History)
0 users

See Also:


Attachments
mesagl.conflicts.patch (505 bytes, patch)
2004-08-16 17:43 UTC, Dejan Lesjak
no flags Details | Diff
xpm.conflicts.patch (462 bytes, patch)
2004-08-16 17:43 UTC, Dejan Lesjak
no flags Details | Diff
XFree86-4-libraries.conflicts.patch (1.03 KB, patch)
2004-08-16 17:43 UTC, Dejan Lesjak
no flags Details | Diff
xorg-libraries.conflicts.patch (928 bytes, patch)
2004-08-16 17:43 UTC, Dejan Lesjak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David JULIEN 2004-08-04 17:20:12 UTC
# make
===>  Vulnerability check disabled
===>  Extracting for wmweather+-2.9

How-To-Repeat: cd /usr/ports/misc/wmweather+;
make
Comment 1 Volker Stolz freebsd_committer 2004-08-06 10:23:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to X11-team. Looks like xpm's Makefile needs a little prod. 
[Question to submitter: You ARE using XOrg, right?]
Comment 2 Dejan Lesjak 2004-08-07 21:48:45 UTC
Could you check with pkg_info which XFree86* and/or xorg* you have installed, 
to see if there is some mixture of them. Xpm should come with xorg-libraries, 
so wmweather+ should find it if you have them installed.
Also, you said you tried to remove Xpm dependency. What line(s) did you 
remove? There should not be explicit dependency on Xpm in wmweather's 
Makefile, so the line
Xpm:${PORTSDIR}/graphics/xpm \
should indeed be removed, since USE_XPM=yes (which should stay) already takes 
care of Xpm library.
Comment 3 David JULIEN 2004-08-09 08:08:15 UTC
I understand my problem. The xpm port was installed. I think I may
have installed it with abefore the xfree version was checked. So I
deinstalled it because it was useless ... and consequently the xpm
libraries have been removed. That's the reason why I can not configure
wmweather+ when I removed the line.

-- 
David
Comment 4 David JULIEN 2004-08-09 08:21:08 UTC
A last precision. I used Xfree86 and I moved to Xorg. But wmweather+
was working correctly after the "upgrade". I think the main reason of
my problem is due to the deinstallation of the deprecated xpm port.
Maybe we could add a conflict line in the xorg-libraries Makefile to
forbid the xpm port...

-- 
David
Comment 5 Dejan Lesjak 2004-08-16 17:43:21 UTC
I agree. Furthermore I think conflicts should also be added to graphics/mesagl 
port. Here are some patches.
Comment 6 lesi freebsd_committer 2004-08-21 07:51:39 UTC
State Changed
From-To: open->closed

Conflicts have been added to prevent reported problem. Thanks for the 
suggestion!